Subject: Re: [PATCH v2 18/27] update-ref --stdin: Harmonize error messages

From: Michael Haggerty <[email-masked]>
Date: Tue, 01 Apr 2014 11:29:22 +0200

On 04/01/2014 12:37 AM, Michael Haggerty wrote:
> On 03/31/2014 11:51 PM, Junio C Hamano wrote:
>> Michael Haggerty <[email-masked]> writes:
>>
>>> Make (most of) the error messages for invalid input have the same
>>> format [1]:
>>>
>>>     $COMMAND [SP $REFNAME]: $MESSAGE
>>>
>>> Update the tests accordingly.
>>>
>>> [1] A few error messages are left with their old form, because
>>>     $COMMAND and $REFNAME aren't passed all the way down the call
>>>     stack.  Maybe those sites should be changed some day, too.
>>>
>>> Signed-off-by: Michael Haggerty <[email-masked]>
>>> ---
>>
>> Up to this point, modulo nits that have been pointed out separately,
>> the series looked reasonably well done.
> 
> Thanks for the feedback!  Would you like me to expand the commit
> messages to answer the questions that you asked about the previous
> patches?  And if so, do you want a v3 sent to the list already or should
> I wait for you to review patches 19-27 first?

Junio, I incorporated your feedback (which so far has only affected
commit messages).  I also rebased the patch series to the current
master.  I pushed the result to GitHub [1].  I'll refrain from spamming
the list with v3 yet.

Michael

[1] Branch "ref-transactions" at https://github.com/mhagger/git

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/